Bug 1735727 - Assertion `ecs->event_thread->control.exception_resume_breakpoint != NULL' failed
Summary: Assertion `ecs->event_thread->control.exception_resume_breakpoint != NULL' fa...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: gdb
Version: 8.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 8.0
Assignee: Keith Seitz
QA Contact: qe-baseos-tools-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-08-01 10:42 UTC by Zdenek Dohnal
Modified: 2021-09-17 14:44 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-09 16:36:36 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)

Description Zdenek Dohnal 2019-08-01 10:42:57 UTC
I was debugging through the code of qpdf binary https://brewweb.engineering.redhat.com/brew/taskinfo?taskID=22872930 , set breakpoint to 'main' function and when I went to qpdf/qpdf.cc:2383 I got output:

2383	            do_inspection(pdf, o);
(gdb) 
checking short-O-U.pdf
PDF Version: 1.6
R = 4
P = -4
User password = 19723102477
extract for accessibility: allowed
extract for any purpose: allowed
print low resolution: allowed
print high resolution: allowed
modify document assembly: allowed
modify forms: allowed
modify annotations: allowed
modify other: allowed
modify anything: allowed
stream encryption method: AESv2
string encryption method: AESv2
file encryption method: AESv2
File is not linearized
../../gdb/infrun.c:6301: internal-error: void process_event_stop_test(execution_control_state*): Assertion `ecs->event_thread->control.exception_resume_breakpoint != NULL' failed.
A problem internal to GDB has been detected,
further debugging may prove unreliable.
Quit this debugging session? (y or n) n

Comment 1 Sergio Durigan Junior 2019-08-01 14:32:51 UTC
Apparently the same issue described at https://sourceware.org/bugzilla/show_bug.cgi?id=17174.

Comment 2 Keith Seitz 2019-08-08 20:06:52 UTC
I've installed qpdf-7.1.1-7.el8 onto my system along with its debuginfo packages, but I am
clearly not using the correct arguments to run; I never seem to get to line 2383 (the program
exits normally).

Can you help me out with more steps to reproduce this?

Comment 3 Zdenek Dohnal 2019-08-09 05:36:10 UTC
Hi Keith,

I'm sorry I totally forgot to provide the arguments... and even scratch build is gone too :( and I do not remember which one of my broken patches for qpdf (since I finally fixed qpdf) caused this behavior in gdb.

You can probably close the bug as INSUFFICIENT_DATA - because even if I find the arguments (which is feasible, because the output is clear and I can find it in test suite), I do not have my broken qpdf patch no more.

Comment 4 Keith Seitz 2019-08-09 16:36:36 UTC
These kinds of things are always a longshot to get a reproducer for, but we tried.

I will take your advice and close w/INSUFFICIENT_DATA, but if you ever run into this
again, please re-open or file a new bug. I would really like to see this resolved.


Note You need to log in before you can comment on or make changes to this bug.